Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.databind.ser.std
Class BooleanSerializer

    java.lang.Object
      com.fasterxml.jackson.databind.JsonSerializer<T>
          com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
              com.fasterxml.jackson.databind.ser.std.StdScalarSerializer<T>
                  com.fasterxml.jackson.databind.ser.std.NonTypedScalarSerializerBase<Boolean>
                      com.fasterxml.jackson.databind.ser.std.BooleanSerializer

All Implemented Interfaces:
  JsonFormatVisitable, SchemaAware

    public final class BooleanSerializer

extends NonTypedScalarSerializerBase<Boolean>

Serializer used for primitive boolean, as well as java.util.Boolean wrapper type.

Since this is one of "native" types, no type information is ever included on serialization (unlike for most scalar types as of 1.5)

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer
`JsonSerializer.None`

Field Summary

Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer
`_handledType`

Constructor Summary
`BooleanSerializer(boolean forPrimitive)`

Method Summary
`void` | `acceptJsonFormatVisitor(JsonFormatVisitorWrapper visitor, JavaType typeHint)` Default implementation specifies no format.
`JsonNode` | `getSchema(SerializerProvider provider, Type typeHint)` Default implementation simply claims type is "string"; usually overriden by custom serializers.
`void` | `serialize(Boolean value, JsonGenerator jgen, SerializerProvider provider)` Method that can be called to ask implementation to serialize values of type this serializer handles.

Methods inherited from class com.fasterxml.jackson.databind.ser.std.NonTypedScalarSerializerBase
`serializeWithType`

Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer
`createObjectNode, createSchemaNode, createSchemaNode, getSchema, handledType, isDefaultSerializer, wrapAndThrow, wrapAndThrow`

Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer
`getDelegatee, isEmpty, isUnwrappingSerializer, replaceDelegatee, unwrappingSerializer, usesObjectId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanSerializer

    public BooleanSerializer(boolean forPrimitive)

Method Detail

### serialize

    public void serialize(Boolean value,
                          JsonGenerator jgen,
                          SerializerProvider provider)
                   throws IOException,
                          JsonGenerationException

  Description copied from class: `JsonSerializer`
  Method that can be called to ask implementation to serialize values of type this serializer handles.

  Specified by:
    `serialize` in class `StdSerializer<Boolean>`
  Parameters:
    `value` - Value to serialize; can not be null.
    `jgen` - Generator used to output resulting Json content
    `provider` - Provider that can be used to get serializers for serializing Objects value contains, if any.
  Throws:
    `IOException`
    `JsonGenerationException`

### getSchema

    public JsonNode getSchema(SerializerProvider provider,
                              Type typeHint)

  Description copied from class: `StdSerializer`
  Default implementation simply claims type is "string"; usually overriden by custom serializers.

  Specified by:
    `getSchema` in interface `SchemaAware`
  Overrides:
    `getSchema` in class `StdScalarSerializer<Boolean>`
  Parameters:
    `provider` - The serializer provider.
    `typeHint` - A hint about the type.
  Returns:
    Json-schema for this serializer.

### acceptJsonFormatVisitor

    public void acceptJsonFormatVisitor(JsonFormatVisitorWrapper visitor,
                                        JavaType typeHint)

  Description copied from class: `StdSerializer`
  Default implementation specifies no format. This behavior is usually overriden by custom serializers.

  Specified by:
    `acceptJsonFormatVisitor` in interface `JsonFormatVisitable`
  Overrides:
    `acceptJsonFormatVisitor` in class `StdScalarSerializer<Boolean>`
    `typeHint` - Type of element (entity like property) being visited

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FasterXML. All Rights Reserved.